> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deduction Template

> Get a Deduction Template for a company.



## OpenAPI

````yaml openapi/employee-checks.json get /deductionTemplate
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /deductionTemplate:
    get:
      summary: Get Deduction Template
      description: Get a deduction template.
      operationId: get-deduction-template
      parameters:
        - name: companyID
          in: query
          description: ID of Company
          required: true
          schema:
            type: string
        - name: deductionTemplateID
          in: query
          description: >-
            ID of Deduction template. If no value is passed, then all deduction
            templates will be retrieved.
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - companyID: fc235f012bae46aa8a082f
                        deductionTemplateID: 61cad98c3e6f8201c34c77c0
                        custom_name: Zeal Testing 401k
                        deduction_type: 401k
                        employer_contribution:
                          properties:
                            contribution_type:
                              const: dollars
                            percentage_source:
                              enum:
                                - contribution
                                - paycheck
                            matching:
                              const: false
                            value:
                              type: number
                              default: 0
                            override_type:
                              const: overridable
                          required:
                            - value
                        employee_contribution:
                          properties:
                            contribution_type:
                              const: dollars
                            value:
                              type: number
                              default: 0
                            override_type:
                              const: overridable
                          required:
                            - value
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        companyID:
                          type: string
                          example: fc235f012bae46aa8a082f
                        deductionTemplateID:
                          type: string
                          example: 61cad98c3e6f8201c34c77c0
                        custom_name:
                          type: string
                          example: Zeal Testing 401k
                        deduction_type:
                          type: string
                          example: 401k
                        employer_contribution:
                          type: object
                          properties:
                            properties:
                              type: object
                              properties:
                                contribution_type:
                                  type: object
                                  properties:
                                    const:
                                      type: string
                                      example: dollars
                                percentage_source:
                                  type: object
                                  properties:
                                    enum:
                                      type: array
                                      items:
                                        type: string
                                        example: contribution
                                matching:
                                  type: object
                                  properties:
                                    const:
                                      type: boolean
                                      example: false
                                      default: true
                                value:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      example: number
                                    default:
                                      type: integer
                                      example: 0
                                      default: 0
                                override_type:
                                  type: object
                                  properties:
                                    const:
                                      type: string
                                      example: overridable
                            required:
                              type: array
                              items:
                                type: string
                                example: value
                        employee_contribution:
                          type: object
                          properties:
                            properties:
                              type: object
                              properties:
                                contribution_type:
                                  type: object
                                  properties:
                                    const:
                                      type: string
                                      example: dollars
                                value:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      example: number
                                    default:
                                      type: integer
                                      example: 0
                                      default: 0
                                override_type:
                                  type: object
                                  properties:
                                    const:
                                      type: string
                                      example: overridable
                            required:
                              type: array
                              items:
                                type: string
                                example: value
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee with this employeeID does not exist
                        code: 23
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee with this employeeID does not exist
                        code:
                          type: integer
                          example: 23
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````